#include "func.h"
//создание объекта с заголовком и подсоединение к нему сигнала
GtkWidget* new_edit(const gchar* str, PFunc func)
{	
	GtkWidget* w = gtk_entry_new();
	gtk_entry_set_text(GTK_ENTRY(w),str);
	return w;
}

//а тут ещё подсоединение каких-нибудь данных
GtkWidget* new_button(const gchar* str, PFunc func, void* data, bool mnem)
{
	if (mnem)
	{
		GtkWidget* w = gtk_button_new_with_mnemonic(str);
		if (func!=NULL)
		{
			g_signal_connect(GTK_OBJECT(w),"clicked", 
				GTK_SIGNAL_FUNC(func),data);
		}
		return w;
	}
	GtkWidget* w = gtk_button_new_with_label(str);
	if (func!=NULL)
	{
		g_signal_connect(GTK_OBJECT(w),"clicked", 
			GTK_SIGNAL_FUNC(func),data);
	}
	return w;
}

//а тут сигнал просто для шаблона
GtkWidget* new_label(const gchar* str, PFunc)
{
	return gtk_label_new(str);
}

