#include "About.h"
#include <fstream>
#include <string>
#ifndef _WIN32
	std::string readme = "/usr/local/share/doc/SpamTeacher/README";
#else
	std::string readme = "Readme.txt";
#endif
About::About()
{
	window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
	gtk_window_set_title(GTK_WINDOW(window), "О программе");
	gtk_window_set_default_size(GTK_WINDOW(window), 200, 200);
	gtk_window_set_position(GTK_WINDOW(window), GTK_WIN_POS_CENTER);
	gtk_signal_connect(GTK_OBJECT(window), "destroy", GTK_SIGNAL_FUNC(about_destroy_signal), NULL);

	//установка текста в поле
	GtkWidget *view;
	GtkTextBuffer *buffer;

	view = gtk_text_view_new ();

	buffer = gtk_text_view_get_buffer (GTK_TEXT_VIEW (view));

	std::string text;
	std::ifstream file(readme.c_str());
	if (!file.fail())
	{
		gchar buf[1001];
		file.getline(buf,1000,'\n');
		text=buf;
		while (!file.eof())
		{
			file.getline(buf,1000,'\n');
			if (file.eof()) break;
			text+=std::string("\n")+buf;
		}
		file.close();
	}
	gtk_text_buffer_set_text (buffer, text.c_str(), -1);
	GtkWidget* frame = gtk_frame_new (NULL);
	gtk_frame_set_label (GTK_FRAME (frame), "Из README");
	gtk_container_add(GTK_CONTAINER(frame), view);
	messageEdit = frame;
	
	GtkWidget *vbox = gtk_vbox_new(0,5);
	gtk_box_pack_start(GTK_BOX(vbox),messageEdit,1,0,5);
	
	gtk_container_add(GTK_CONTAINER(window), vbox);
	
	gtk_widget_show_all(window);
}
////////////////////////////////////
About::~About()
{
	gtk_widget_destroy(window);
}
